# Digi.Drivers.GPIO Class Reference

General Purpose Input Output class This class manage the GPIO driver. More...

Inheritance diagram for Digi.Drivers.GPIO:

List of all members.

## Public Types
enum | DirectionValue { Input, Output, Undefined }
| Direction Value enumeration Enumeration of the possible direcition asigned to a gpio. More...
enum | IrqValue { LowLevel, HighLevel, RisingEdge, FallingEdge, LowLevel, HighLevel, RisingEdge, FallingEdge, Both }
| Interrupt Value enumeration Enumeration of the possible value of a gpio configured as interrupt. More...
enum | IoValue { Low, High }
| Input/Output Value enumeration Enumeration of the value of a gpio configured as input/output. More...
## Public Member Functions
| GPIO ()
| Default constructor.
abstract int | Wait ()
| Function that wait for the configured interrupt in a gpio configured as interrupt.
abstract bool | Poll (IoValue value, uint tries, int sleep)
| Function that makes a polling of the gpio.
## Properties
abstract DirectionValue | Direction`[get, set]`
| Direction property.
abstract IrqValue | IrqMode`[get, set]`
| IrqMode property.
abstract bool | Block`[get, set]`
| Block property.
abstract IoValue | Value`[get, set]`
| Value property.

## Detailed Description

General Purpose Input Output class This class manage the GPIO driver.

## Member Enumeration Documentation

enum Digi::Drivers::GPIO::DirectionValue

Direction Value enumeration Enumeration of the possible direcition asigned to a gpio.

                // Use of the constants
                DirectionValue.Input
                DirectionValue.Output
                DirectionValue.Undefined

enum Digi::Drivers::GPIO::IoValue

Input/Output Value enumeration Enumeration of the value of a gpio configured as input/output.

                // Use of the constants
                IoValue.Low
                IoValue.High

enum Digi::Drivers::GPIO::IrqValue

Interrupt Value enumeration Enumeration of the possible value of a gpio configured as interrupt.

                // Use of the constants
                IrqValue.LowLevel
                IrqValue.HighLevel
                IrqValue.RisingEdge
                IrqValue.FallingEdge
                IrqValue.Both

Reimplemented in Digi.Drivers.GPIOiMX51.

## Constructor & Destructor Documentation

public public Digi::Drivers.GPIO::GPIO | ( |  | ) |

Default constructor.

## Member Function Documentation

public abstract bool Digi::Drivers.GPIO::Poll | ( | IoValue | value,
|  | uint | tries,
|  | int | sleep |
| ) |  |  | `[pure virtual]`

Function that makes a polling of the gpio.

Parameters:

  | value | Input value to be pooled (use IoValue constants)
  | tries | Number of tries to achieve the value
  | sleep | Time to wait between tries

Returns:
  true indicates success, false indicates failure

Implemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

public abstract int Digi::Drivers.GPIO::Wait | ( |  | ) | `[pure virtual]`

Function that wait for the configured interrupt in a gpio configured as interrupt.

Returns:
  true indicates success, false indicates failure

Implemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

## Property Documentation

public abstract bool Digi::Drivers.GPIO::Block`[get, set]`

Block property.

Get/Set block property of the gpio

Reimplemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

abstract uint Digi::Drivers.GPIO::Direction`[get, set]`

Direction property.

Get/Set direction property of the gpio

Reimplemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

public abstract IrqValue Digi::Drivers.GPIO::IrqMode`[get, set]`

IrqMode property.

Get/Set interrupt mode property of the gpio

Reimplemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

public abstract uint Digi::Drivers.GPIO::Value`[get, set]`

Value property.

Get/Set the value of the gpio

Reimplemented in Digi.Drivers.GPIOiMX51, and GPIO_IOEXPANSORiMX51.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/aramos/Desktop/Freescale i.MX51_CSharp_API/Digi.Drivers/Digi.Drivers/GPIO.cs